/*
 * Copyright 2009 Serhat Dirik

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */


function UUID(){
	var CHARSET = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";

	
	function _rand(max){
		return Math.floor(Math.random() * (max + 1));
	};
	
	this.rand = _rand;
	
	function _createUUID(){
		var dc = new Date();
		var ctime = dc.getTime().toString(16);
		var uuid = new Array;
		for (var i = 0; i < 16; i++) {
				uuid[i] = CHARSET.charAt(_rand(62));
		}
		return ctime+"-"+ uuid.join("");
	};
	
	this.createUUID= _createUUID;
	
	this.id = _createUUID();
	this.valueOf=function(){ return this.id; };
	this.toString = function(){ return this.id; };
		
}

 
